Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMapBase.Segment

    java.lang.Object
      java.util.concurrent.locks.AbstractOwnableSynchronizer
          java.util.concurrent.locks.AbstractQueuedSynchronizer
              org.codehaus.groovy.util.LockableObject
                  org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment

    public static class AbstractConcurrentMapBase.Segment
    extends LockableObject

Field Summary
`protected Object[]` | `table`

Constructor Summary
`protected AbstractConcurrentMapBase.Segment(int initialCapacity)`

Method Summary

Methods inherited from class LockableObject
isHeldExclusively, lock, tryAcquire, tryRelease, unlock

Methods inherited from class AbstractQueuedSynchronizer

toString, acquireInterruptibly, getQueueLength, getQueuedThreads, getWaitQueueLength, getWaitingThreads, hasQueuedThreads, hasWaiters, isQueued, release, tryAcquireNanos, acquire, acquireShared, acquireSharedInterruptibly, getExclusiveQueuedThreads, getFirstQueuedThread, getSharedQueuedThreads, hasContended, hasQueuedPredecessors, owns, releaseShared, tryAcquireSharedNanos, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class AbstractOwnableSynchronizer
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### table

    protected Object[] table

Constructor Detail

### AbstractConcurrentMapBase.Segment

    protected AbstractConcurrentMapBase.Segment(int initialCapacity)

Copyright © 2003-2010 The Codehaus. All rights reserved.